RoutesOAuth module
OAuth routes
URLs the OAuth module answers, their parameters and the variables each view receives.
Admin view
GET
/cdna-admin/oauth/add-client
addClient
Add a new record. Assigns an empty record to the template.
| Variable | Type | Description |
|---|---|---|
$client |
Client |
Single (empty) Client record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
GET
/cdna-admin/oauth/client/{id}
editClient
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$client |
Client |
Retrieved Client record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
GET
/cdna-admin/oauth/clients
manageClients
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$clients |
Collection<Client> |
Collection of Clients |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
Only GET routes list their variables.